GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXFaultSegment Class Reference

Class for handling Vendor Data. More...

`#include <GTXFaultSegment.hpp>`

## Public Member Functions
| GTXFaultSegment ()
| Empty Constructor.
| GTXFaultSegment (const GTXFaultSegment &fseg)
| Copy Constructor.
GTXFaultSegment | operator= (const GTXFaultSegment &fseg)
| Operator equals.
| ~GTXFaultSegment ()
| Destructor.
double | GetX1 () const
| Get value from X1 attribute of a Fault Segment. More...
double | GetY1 () const
| Get value from Y1 attribute of a Fault Segment. More...
double | GetZ1 () const
| Get value from Z1 attribute of a Fault Segment. More...
double | GetX2 () const
| Get value from X2 attribute of a Fault Segment. More...
double | GetY2 () const
| Get value from Y2 attribute of a Fault Segment. More...
double | GetZ2 () const
| Get value from Z2 attribute of a Fault Segment. More...
double | GetX3 () const
| Get value from X3 attribute of a Fault Segment. More...
double | GetY3 () const
| Get value from Y3 attribute of a Fault Segment. More...
double | GetZ3 () const
| Get value from Z3 attribute of a Fault Segment. More...
double | GetV1 () const
| Get value from V1 attribute of a Fault Segment. More...
double | GetV2 () const
| Get value from V2 attribute of a Fault Segment. More...
double | GetV3 () const
| Get value from V3 attribute of a Fault Segment. More...
int | GetPriority () const
| Get value from priority attribute of a Fault Segment. More...
void | SetX1 (double X1)
| Set X1 attribute to a Fault Segment. More...
void | SetY1 (double Y1)
| Set Y1 attribute to a Fault Segment. More...
void | SetZ1 (double Z1)
| Set Z1 attribute to a Fault Segment. More...
void | SetX2 (double X2)
| Set X2 attribute to a Fault Segment. More...
void | SetY2 (double Y2)
| Set Y2 attribute to a Fault Segment. More...
void | SetZ2 (double Z2)
| Set Z2 attribute to a Fault Segment. More...
void | SetX3 (double X3)
| Set X3 attribute to a Fault Segment. More...
void | SetY3 (double Y3)
| Set Y3 attribute to a Fault Segment. More...
void | SetZ3 (double Z3)
| Set Z3 attribute to a Fault Segment. More...
void | SetV1 (double V1)
| Set V1 attribute to a Fault Segment. More...
void | SetV2 (double V2)
| Set V2 attribute to a Fault Segment. More...
void | SetV3 (double V3)
| Set V3 attribute to a Fault Segment. More...
void | SetPriority (int priority)
| Set priority attribute to a Fault Segment. More...

## Friends
class | GTXClient
class | GTXFault

## Detailed Description

Class for handling Vendor Data.

Examples:
  fault.cpp.

## Member Function Documentation

int GTXFaultSegment::GetPriority | ( |  | ) | const

Get value from priority attribute of a Fault Segment.

This function reads the value from priority attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetV1 | ( |  | ) | const

Get value from V1 attribute of a Fault Segment.

This function reads the value from V1 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetV2 | ( |  | ) | const

Get value from V2 attribute of a Fault Segment.

This function reads the value from V2 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetV3 | ( |  | ) | const

Get value from V3 attribute of a Fault Segment.

This function reads the value from V3 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetX1 | ( |  | ) | const

Get value from X1 attribute of a Fault Segment.

This function reads the value from X1 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetX2 | ( |  | ) | const

Get value from X2 attribute of a Fault Segment.

This function reads the value from X2 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetX3 | ( |  | ) | const

Get value from X3 attribute of a Fault Segment.

This function reads the value from X3 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetY1 | ( |  | ) | const

Get value from Y1 attribute of a Fault Segment.

This function reads the value from Y1 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetY2 | ( |  | ) | const

Get value from Y2 attribute of a Fault Segment.

This function reads the value from Y2 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetY3 | ( |  | ) | const

Get value from Y3 attribute of a Fault Segment.

This function reads the value from Y3 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetZ1 | ( |  | ) | const

Get value from Z1 attribute of a Fault Segment.

This function reads the value from Z1 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetZ2 | ( |  | ) | const

Get value from Z2 attribute of a Fault Segment.

This function reads the value from Z2 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

double GTXFaultSegment::GetZ3 | ( |  | ) | const

Get value from Z3 attribute of a Fault Segment.

This function reads the value from Z3 attribute of a Fault Segment

Returns
  Returned double value

Examples:
  fault.cpp.

void GTXFaultSegment::SetPriority | ( | int | priority | ) |

Set priority attribute to a Fault Segment.

This function set priority attribute to a Fault Segment

Parameters

  priority | Attribute priority

Examples:
  fault.cpp.

void GTXFaultSegment::SetV1 | ( | double | V1 | ) |

Set V1 attribute to a Fault Segment.

This function set V1 attribute to a Fault Segment

Parameters

  V1 | Attribute V1

Examples:
  fault.cpp.

void GTXFaultSegment::SetV2 | ( | double | V2 | ) |

Set V2 attribute to a Fault Segment.

This function set V2 attribute to a Fault Segment

Parameters

  V2 | Attribute V2

Examples:
  fault.cpp.

void GTXFaultSegment::SetV3 | ( | double | V3 | ) |

Set V3 attribute to a Fault Segment.

This function set V3 attribute to a Fault Segment

Parameters

  V3 | Attribute V3

Examples:
  fault.cpp.

void GTXFaultSegment::SetX1 | ( | double | X1 | ) |

Set X1 attribute to a Fault Segment.

This function set X1 attribute to a Fault Segment

Parameters

  X1 | Attribute X1

Examples:
  fault.cpp.

void GTXFaultSegment::SetX2 | ( | double | X2 | ) |

Set X2 attribute to a Fault Segment.

This function set X2 attribute to a Fault Segment

Parameters

  X2 | Attribute X2

Examples:
  fault.cpp.

void GTXFaultSegment::SetX3 | ( | double | X3 | ) |

Set X3 attribute to a Fault Segment.

This function set X3 attribute to a Fault Segment

Parameters

  X3 | Attribute X3

Examples:
  fault.cpp.

void GTXFaultSegment::SetY1 | ( | double | Y1 | ) |

Set Y1 attribute to a Fault Segment.

This function set Y1 attribute to a Fault Segment

Parameters

  Y1 | Attribute Y1

Examples:
  fault.cpp.

void GTXFaultSegment::SetY2 | ( | double | Y2 | ) |

Set Y2 attribute to a Fault Segment.

This function set Y2 attribute to a Fault Segment

Parameters

  Y2 | Attribute Y2

Examples:
  fault.cpp.

void GTXFaultSegment::SetY3 | ( | double | Y3 | ) |

Set Y3 attribute to a Fault Segment.

This function set Y3 attribute to a Fault Segment

Parameters

  Y3 | Attribute Y3

Examples:
  fault.cpp.

void GTXFaultSegment::SetZ1 | ( | double | Z1 | ) |

Set Z1 attribute to a Fault Segment.

This function set Z1 attribute to a Fault Segment

Parameters

  Z1 | Attribute Z1

Examples:
  fault.cpp.

void GTXFaultSegment::SetZ2 | ( | double | Z2 | ) |

Set Z2 attribute to a Fault Segment.

This function set Z2 attribute to a Fault Segment

Parameters

  Z2 | Attribute Z2

Examples:
  fault.cpp.

void GTXFaultSegment::SetZ3 | ( | double | Z3 | ) |

Set Z3 attribute to a Fault Segment.

This function set Z3 attribute to a Fault Segment

Parameters

  Z3 | Attribute Z3

Examples:
  fault.cpp.

The documentation for this class was generated from the following files:

- include/GTXFaultSegment.hpp
- src/gtxclient/GTXFaultSegment.cpp